﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ServiceModel;

namespace SecondServiceApp
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.Title = "示例服务 - 2";
            using(ServiceHost host=new ServiceHost(typeof(SomeService)))
            {
                host.AddServiceEndpoint(typeof(ISome), new BasicHttpBinding(), "http://localhost:12345");
                host.Open();
                Console.ReadKey();
            }
        }
    }

    [ServiceContract]
    public interface ISome
    {
        [OperationContract]
        Guid GetUID();
    }

    class SomeService : ISome
    {
        public Guid GetUID()
        {
            Guid id = Guid.NewGuid();
            Console.WriteLine($"第二个服务被调用，产生的ID为：{id}");
            return id;
        }
    }
}
